Bug 101666 - [maintainer update] audio/py-karaoke to 0.5
Summary: [maintainer update] audio/py-karaoke to 0.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexander Botero-Lowry
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-08 19:10 UTC by Elias Mandouvalos
Modified: 2006-11-26 12:40 UTC (History)
0 users

See Also:


Attachments
file.diff (180 bytes, patch)
2006-08-08 19:10 UTC, Elias Mandouvalos
no flags Details | Diff
file.diff (3.32 KB, patch)
2006-08-08 19:10 UTC, Elias Mandouvalos
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Elias Mandouvalos 2006-08-08 19:10:13 UTC
Update py-karaoke from 0.4.1 to 0.5

New in this release:
* CDG: Massive performance improvements.
* CDG: Smoother scrolling and horizontal-scrolling fix.
* MIDI: Smoother font-scaling and word-wrap support.
* MIDI: Fixed mid-song tempo changes.
* New pykaraoke_mini GUI for simpler environments (handhelds, TV etc).

Fix: PORTNAME=      karaoke
-PORTVERSION=   0.4.1
+PORTVERSION=   0.5
 CATEGORIES=    audio python
 MASTER_SITES=  ${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=    pykaraoke
@@ -18,12 +18,17 @@

 RUN_DEPENDS=   ${PYTHON_SITELIBDIR}/pygame/__init__.py:${PORTSDIR}/devel/py-game \
                ${PYTHON_SITELIBDIR}/Numeric/Numeric.py:${PORTSDIR}/math/py-numeric \
-               ${PYTHON_SITELIBDIR}/wxPython/__init__.py:${PORTSDIR}/x11-toolkits/py-wxPython24
+               ${PYTHON_SITELIBDIR}/wx-2.6-gtk2-unicode/wx/__init__.py:${PORTSDIR}/x11-toolkits/py-wxPython26-unicode \
+               timidity:${PORTSDIR}/audio/timidity++

 USE_ZIP=       yes
-
+USE_SDL=       sdl
 USE_PYTHON=    yes
 USE_PYDISTUTILS=       yes
 USE_PYTHON_PREFIX=     yes
+
+post-patch:
+               @${REINPLACE_CMD} -e "s|/usr/include/SDL|/usr/local/include/SDL11|g" ${WRKSRC}/setup.cfg
+               @${REINPLACE_CMD} -e "s|libraries = \[\'SDL\'\]|libraries = \[\'SDL-1.1\'\]|g" ${WRKSRC}/setup.py

 .include <bsd.port.mk>
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-08-09 08:04:32 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-08-09 10:55:32 UTC
State Changed
From-To: open->feedback

http://sce-tindy.tecnik93.com/tb-exp/index.php?action=describe_port&id=717
Comment 3 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-11-12 22:37:26 UTC
State Changed
From-To: feedback->open

maintainer timeout
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-11-12 22:39:00 UTC
Responsible Changed
From-To: itetcu->alexbl

Python, Drax; Drax, Python; ... ;-)
Comment 5 dfilter service freebsd_committer 2006-11-26 12:33:10 UTC
alexbl      2006-11-26 12:33:04 UTC

  FreeBSD ports repository

  Modified files:
    audio/py-karaoke     Makefile distinfo pkg-plist 
  Added files:
    audio/py-karaoke/files patch-setup.cfg 
  Log:
   - update to 0.5
  
  PR:             101666
  Approved by:    Elias Mandouvalos <ocean@mail.gr> (maintainer), maintainer timeout (3 months)
  
  Revision  Changes    Path
  1.2       +5 -5      ports/audio/py-karaoke/Makefile
  1.2       +3 -3      ports/audio/py-karaoke/distinfo
  1.1       +9 -0      ports/audio/py-karaoke/files/patch-setup.cfg (new)
  1.2       +47 -17    ports/audio/py-karaoke/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 Alexander Botero-Lowry freebsd_committer 2006-11-26 12:33:51 UTC
State Changed
From-To: open->closed

Commited with some modifcations.